Subject: Re: parallel dev. with email

From: Peter Baumann <[email-masked]>
Date: Tue, 3 Mar 2009 20:35:33 +0100

On Tue, Mar 03, 2009 at 04:31:41PM +0100, [email-masked] wrote:
> Hi,
> 
> I am new to git and I am wondering what git commands to use for this szenario: two developers without the possibility of sharing a server communicate their changes via email.
> 
> This is how far I have come reading the online docu:
> * Each developer can create the diff-info of his commits with
>   git format-patch
> * and the other developer can incorporate these changes with
>   git am
> 
> After creating the patches with format-patch one could set a tag:
>   git tag -f patchesDone
> so next time one wants to create patches, this tag can be used as the starting point:
>   git format-patch patchesDone..
> 
> But what if in the meantime one has incorporated the other developer's changes with git am? Then these changes will also be among the patches created with format-patch. What will happen, if these patches are sent to the other developer, who does not need his own changes again. Will his own changes be silently ignored by git am? Or how else to effectively coordinate the work of two developers with git via email?
> 
> thank you,
> 
> Wolfgang

[ Disclaimer: It was a *very* long time since I used this; there might
  be a better way to use bundles already ]

You could also use 'git bundle' to send your changes.  E.g. if you have
all your already released/send patches in master branch and all your
locale changes in private

 $ git bundle create mybundle private ^master  	# not sure if private..master
						# will work here

and your friend could to

 $ git bundle verify mybundle
 $ git fetch mybundle master:localRef

to import the changes. (Pls have a look in the manpage of git bundle,
there are many examples)

-Peter